#include "setup.hpp"
#include "database.hpp"

SetupPopup::SetupPopup(PopupWindowButton* parent,
		int x, int y, char* mtitle) :
		PopupWindow(parent, x, y,
		 x + SETUP_WINDOW_WIDTH, y + SETUP_WINDOW_HEIGHT,
		 mtitle)
{
	title_color = BRIGHT_CYAN;
	title_backdrop_color =  BRIGHT_CYAN;
	shade_color = BLACK;
	border_color = YELLOW;
	fill_color = BRIGHT_BLUE;

	bass = new ToneLevelPot(x + 25, y + 80,
			"Bass",
			&RecorderSettings. bass,
			0);

	treble = new ToneLevelPot(x + 125, y + 80,
			"Treble",
			&RecorderSettings. treble,
			0);

	source = new HorizontalSelector(x + 60, y + 10,
			"Source",
			&RecorderSettings. source,
			0,
			"Mic", "Line");

	defeat = new BistablePushButton(x + 220, y + 110,
			"Defeat", &RecorderSettings. defeat,
			0);
}

void SetupPopup::Display()
{
	PopupWindow::Display();

	bass->Display();
	treble->Display();
	source->Display();
	defeat->Display();
}

SetupPopup::~SetupPopup()
{

	delete bass;
	delete treble;
	delete source;
	delete defeat;
}


void OpenSetupPopup(PopupWindowButton* parent)
{
	SetupPopup* window = new SetupPopup(parent, 20, 20,
				"Setup Controls");
	window->Display();
}
